<?php // WPTypo custom functions

if (!defined('ABSPATH')) exit;



// define max content width
function shapeSpace_content_width() {
	
	$GLOBALS['content_width'] = 960;
	
}
add_action('after_setup_theme', 'shapeSpace_content_width', 0);



// set up theme support
function shapeSpace_setup() {
	
	add_theme_support('post-thumbnails');
	add_theme_support('automatic-feed-links');
	add_theme_support('title-tag');
	
}
add_action('after_setup_theme', 'shapeSpace_setup');



// conditional parent/child styles
function shapeSpace_conditional_styles() {
	
	if (is_child_theme()) {
		
		// load parent styles if active child theme
		wp_enqueue_style('wptypo-parent', trailingslashit(get_template_directory_uri()) .'style.css', array(), null);
		
	}
	
	// always load active theme stylesheet
	wp_enqueue_style('wptypo', get_stylesheet_uri(), array(), null);
	
}



// frontend script & style
function shapeSpace_frontend_scripts() {
	
	// wp_enqueue_style( $handle, $src, $deps, $ver, $media )
	
	shapeSpace_conditional_styles();
	
	// wp_enqueue_script( $handle, $src, $deps, $ver, $in_footer )
	
	wp_enqueue_script('wptypo', trailingslashit(get_template_directory_uri()) .'js/wptypo.js', array('jquery'), null, true);
	
	if (is_singular() && comments_open() && get_option('thread_comments')) {
		
		wp_enqueue_script('comment-reply');
		
	}
	
}
add_action('wp_enqueue_scripts', 'shapeSpace_frontend_scripts');



// sub page list
function shapeSpace_sub_page_list() {
	global $wpdb;
	$sql = "SELECT p.ID, p.post_title, p.guid, pm.meta_value FROM " . $wpdb->posts . " AS p LEFT JOIN ";
	$sql .= "(SELECT post_id, meta_value FROM " . $wpdb->postmeta . " AS ipm WHERE meta_key = 'subtitle') ";
	$sql .= "AS pm ON p.ID = pm.post_id ";
	$sql .= "WHERE p.post_type = 'page' AND p.post_parent = 0 AND p.post_status = 'publish' ";
	$sql .= "ORDER BY p.menu_order ASC ";
	$sql .= "LIMIT 0, 10";
	$rows = $wpdb->get_results($sql,OBJECT);
	if($rows) {
		foreach($rows as $row) {
			echo "<li><span>&mdash;</span>";
			$link_url = get_permalink($row->ID);
			echo "<a href=\"$link_url\">$row->post_title</a>";
			echo "</li>";
		}
	}
}



// filter menu add list
function shapeSpace_childtheme_page_menu() { ?>
<li><a href="<?php echo home_url('/'); ?>">Home</a></li>                      
<?php shapeSpace_sub_page_list(); ?>  
<?php }
add_filter('wp_page_menu','shapeSpace_childtheme_page_menu');



// extend blockquotes
function shapeSpace_extend_blockquotes($text) {
	$new_text = str_replace('<blockquote>', '<blockquote><div class="blockquote_extender"><span>&lsquo;</span></div>', $text);
	return $new_text;
}
add_filter('the_content', 'shapeSpace_extend_blockquotes');


